DefaultMuleContextBuilder (Mule ESB 2.2.1 API)
Keywords: org.mule.context.DefaultMuleContextBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.context
Class DefaultMuleContextBuilder

    java.lang.Object
      org.mule.context.DefaultMuleContextBuilder

All Implemented Interfaces:
  MuleContextBuilder

    public class DefaultMuleContextBuilder

extends Object
implements MuleContextBuilder

Implementation of `MuleContextBuilder` that uses `DefaultMuleContext` as the default `MuleContext` implementation and builds it with defaults values for `MuleConfiguration`, `LifecycleManager`, `WorkManager`, `WorkListener` and `ServerNotificationManager`.

Field Summary
`protected MuleConfiguration` | `config`
`protected LifecycleManager` | `lifecycleManager`
`protected static Log` | `logger`
`protected ServerNotificationManager` | `notificationManager`
`protected javax.resource.spi.work.WorkListener` | `workListener`
`protected WorkManager` | `workManager`

Constructor Summary
`DefaultMuleContextBuilder()`

Method Summary
`MuleContext` | `buildMuleContext()` Builds a new `MuleContext` instance using configured builder instance.
`protected LifecycleManager` | `getLifecycleManager()`
`protected MuleConfiguration` | `getMuleConfiguration()`
`protected ServerNotificationManager` | `getNotificationManager()`
`protected javax.resource.spi.work.WorkListener` | `getWorkListener()`
`protected WorkManager` | `getWorkManager()`
`void` | `setLifecycleManager(LifecycleManager lifecycleManager)`
`void` | `setMuleConfiguration(MuleConfiguration config)`
`void` | `setNotificationManager(ServerNotificationManager notificationManager)`
`void` | `setWorkListener(javax.resource.spi.work.WorkListener workListener)`
`void` | `setWorkManager(WorkManager workManager)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

### config

    protected MuleConfiguration config

### lifecycleManager

    protected LifecycleManager lifecycleManager

### workManager

    protected WorkManager workManager

### workListener

    protected javax.resource.spi.work.WorkListener workListener

### notificationManager

    protected ServerNotificationManager notificationManager

Constructor Detail

### DefaultMuleContextBuilder

    public DefaultMuleContextBuilder()

Method Detail

### buildMuleContext

    public MuleContext buildMuleContext()

  Builds a new `MuleContext` instance using configured builder instance. Does not initialise or start MuleContext, only constructs the instance.

  Specified by:
    `buildMuleContext` in interface `MuleContextBuilder`
  Returns:

### setMuleConfiguration

    public void setMuleConfiguration(MuleConfiguration config)

  Specified by:
    `setMuleConfiguration` in interface `MuleContextBuilder`

### setWorkManager

    public void setWorkManager(WorkManager workManager)

  Specified by:
    `setWorkManager` in interface `MuleContextBuilder`

### setWorkListener

    public void setWorkListener(javax.resource.spi.work.WorkListener workListener)

  Specified by:
    `setWorkListener` in interface `MuleContextBuilder`

### setNotificationManager

    public void setNotificationManager(ServerNotificationManager notificationManager)

  Specified by:
    `setNotificationManager` in interface `MuleContextBuilder`

### setLifecycleManager

    public void setLifecycleManager(LifecycleManager lifecycleManager)

  Specified by:
    `setLifecycleManager` in interface `MuleContextBuilder`

### getMuleConfiguration

    protected MuleConfiguration getMuleConfiguration()

### getLifecycleManager

    protected LifecycleManager getLifecycleManager()

### getWorkManager

    protected WorkManager getWorkManager()

### getWorkListener

    protected javax.resource.spi.work.WorkListener getWorkListener()

### getNotificationManager

    protected ServerNotificationManager getNotificationManager()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.